package com.github.jfcloud.excel.editor.docdeal.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.github.jfcloud.excel.editor.docdeal.bean.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@ToString
@Accessors(chain = true)
@TableName("onlyoffice_file_info")
public class FileUpload  extends BaseEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("file_name")
    private String file_name;
    @TableField(value = "file_size")
    private Long file_size;
    @TableField(value = "file_type")
    private String file_type;
    @TableField(value = "file_path")
    private String file_path;
    @TableField(value = "upload_date")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date upload_date;
}
