package com.github.jfcloud.excel.editor.docdeal.oss;

/**
 * @author zj
 * @date 2023-4-25
 */
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "oss")
@Data
public class OssProperties {
    private String endpoint;
    private String customDomain;
    private Boolean pathStyleAccess = true;
    private String appId;
    private String region;
    private String accessKey;
    private String secretKey;
    private String bucketName = "payerp";
    private Integer maxConnections = 100;

    public String toString() {
        return "OssProperties(endpoint=" + this.getEndpoint() + ", customDomain=" + this.getCustomDomain() + ", pathStyleAccess=" + this.getPathStyleAccess() + ", appId=" + this.getAppId() + ", region=" + this.getRegion() + ", accessKey=" + this.getAccessKey() + ", secretKey=" + this.getSecretKey() + ", bucketName=" + this.getBucketName() + ", maxConnections=" + this.getMaxConnections() + ")";
    }
}
